Subject: Re: [Int-dir] Intdir last call partial review of draft-ietf-dots-server-discovery-11

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 4 Nov 2020 15:14:12 +0000

[Keeping only int-dir members as recipients]

Thank you again Zhen for your review. You may have seen my IESG ballot: I fully second your point about IPv4-mapped IPv6 addresses and I even raised it to a block DISCUSS point (BTW, authors are now actively fixed their text ;-) )

Regards

-éric

-----Original Message-----
From: Int-dir <[email-masked]> on behalf of Zhen Cao via Datatracker <[email-masked]>
Reply-To: Zhen Cao <[email-masked]>
Date: Monday, 12 October 2020 at 16:54
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [Int-dir] Intdir last call partial review of draft-ietf-dots-server-discovery-11

    Review is partially done. Another assignment may be needed to complete it.

    Reviewer: Zhen Cao
    Review result: Ready with Nits

    Reviewer: Zhen Cao
    Review result: Ready with Nits

    Thanks the authors for the document.  DOTS server discovery is important to the
    functioning of the whole system.

    Important: I read Bernie's eary quick review (saying not a full one) for the 01
    version [*] and the comments had been addressed in 02 version.   And I think
    our AD @Eric needs to check if there is a need for further DHC doctor review.  
     (although I checked there were not much changed on the DHCP parts from r02 to
    r11) .

    [*]https://github.com/boucadair/draft-ietf-dots-discovery/issues/1

    I think most of the other parts looks quite ready except:
    a) Section 5.1.2 on the configuration of the ipv4-mapped IPv6 address.
    old:    Note, IPv4-mapped IPv6 addresses (Section 2.5.5.2 of [RFC4291])  are
    allowed to be included in this option.

    I do not know why this is particularly mentioned here given there are many
    types of IPv6 address.  I think it 's better to remove this statement since
    there are many issues configuring IPv4-mapped address directly.  Some systems
    will disable (by default) support for internal  IPv4-mapped IPv6 addresses. 
    Some implementations of dual-stack do not allow IPv4-mapped IPv6 addresses to
    be used for interoperability between IPv4 and IPv6 applications.  [RFC4038].  
    Such discussions do not have to be present here.

    b) the first sentence of the abstract: s/Districuted/Distributed.

    _______________________________________________
    Int-dir mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/int-dir